Skip to main content
Recently Deleted/Recently Deleted

ListGPUCards

List all GPU cards belonging to a specific GPU pool

GET/api/v1/gpu-pools/{poolUuid}/gpu-cards

Operation ID

ListGPUCards

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • poolUuid
    StringRequired

    UUID of the GPU pool whose cards are to be listed

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the GPU card

      Example: gpu-card-001

    • platformId
      String

      Platform ID this GPU card belongs to

      Example: plat-001

    • poolUuid
      String

      UUID of the GPU pool this card belongs to

      Example: pool-gpu-001

    • gpuIndex
      Integer

      Zero-based GPU device index on the host

      Example: 20

    • gpuModel
      String

      GPU model name

      Example: NVIDIA A100-SXM4-80GB

    • memoryTotal
      String

      Total GPU memory in bytes

      Example: 85899345920

    • status
      String

      Current status of the GPU card

      Example: Available

    • nodeName
      String

      Hostname of the node hosting this GPU card

      Example: k8s-node-01

    • lastSyncAt
      String

      Timestamp of the last sync for this GPU card

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of GPU cards in the pool

    Example: 8

  • limit
    Integer

    Page size used in this response

    Example: 20

  • offset
    Integer

    Offset used in this response

    Example: 20